Search Results for

Show / Hide Table of Contents

# Class SdkProxyExtensions

Extension methods for ISdkProxy.

##### Inheritance

object
SdkProxyExtensions

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public static class SdkProxyExtensions

### Methods

#### Apply(ISdkProxy, SdkConfig)

Sets properties in `sdkProxy` to values that are set in `sdkConfig`.

##### Declaration

    public static void Apply(this ISdkProxy sdkProxy, SdkConfig sdkConfig)

##### Parameters

Type | Name | Description
--- | --- | ---
ISdkProxy | sdkProxy | Proxy to set properties in.
SdkConfig | sdkConfig | Serializable container of values.